Bug 1018657 - Links should point to latest documentation
Links should point to latest documentation
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER9
: EAP 6.3.0
Assigned To: Thomas Hauser
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 02:05 EDT by Petr Kremensky
Modified: 2014-10-25 08:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 10:36:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-14 02:05:50 EDT
Description of problem:
 All links in installer should point to latest documentation (6.2)

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER5

How reproducible:
 always

Steps to Reproduce:
 1. Run -gui installation, use default values until on Post-Install Configuration screen
 2. Select to Install JDBC Driver
 3. On JDBC Driver Setup locate "If your driver is not supported, click here.", click on "click here" string.
 4. See links for Datasource description and List of supported databases.

Actual results:
 Links are pointing to 6.0 documentation
https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6/html/Administration_and_Configuration_Guide/sect-Datasource_Configuration.html
https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6/html/Administration_and_Configuration_Guide/chap-Datasource_Management.html#JBoss_Enterprise_Application_Platform_6_Supported_Databases

Expected results:
 Links are pointing to latest (6.2) documentation
http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6.2/html/Administration_and_Configuration_Guide/chap-Datasource_Management.html
http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6.2/html/Administration_and_Configuration_Guide/chap-Datasource_Management.html#JBoss_Enterprise_Application_Platform_6_Supported_Databases
Comment 1 Jesper Pedersen 2013-10-15 11:04:19 EDT
http://documentation-devel.engineering.redhat.com is wrong.

It has to be an external site, containing the official documentation
Comment 3 Nikoleta Ziakova 2014-07-11 02:57:53 EDT
Verified with EAP 6.3.0.ER9

Note You need to log in before you can comment on or make changes to this bug.